%define oname   net-sftp

Name:       ruby-%{oname}
Version:    4.0.0
Release:    %mkrel 1
Summary:    A pure Ruby implementation of the SFTP client protocol
License:    MIT
Group:      Development/Ruby
URL:        https://github.com//net-ssh/%{oname}
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: git
BuildArch:  noarch

%description
A pure Ruby implementation of the SFTP client protocol

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc CHANGES.txt README.rdoc

#-------------------------------------------------------------------------------

%prep
%gem_setup
# The key is not available and we don't need to sign anyway
sed -i /s.signing_key/d %{oname}.gemspec

%build
%gem_build

%install
%gem_install


%changelog
* Thu Dec 22 2022 pterjan <pterjan> 4.0.0-1.mga9
+ Revision: 1925928
- Update to 4.0.0 which actually provides the files from net-sftp unlike current version of the package

* Mon Aug 01 2022 bcornec <bcornec> 4.0.0.rc0-1.mga9
+ Revision: 1874196
- Needs git to build, even if locally
- Fake version 4.0.0.rc0 pending official release
- Update version
- Update to current master branch for net-ssh v7 support
- Fix URL

* Fri Mar 18 2022 pterjan <pterjan> 3.0.0-1.mga9
+ Revision: 1798469
- Update to 3.0.0

* Wed Feb 12 2020 umeabot <umeabot> 2.1.2-10.mga8
+ Revision: 1499846
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.1.2-9.mga7
+ Revision: 1275166
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 2.1.2-8.mga6
+ Revision: 936237
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.2-7.mga5
+ Revision: 740468
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.2-6.mga5
+ Revision: 688884
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 2.1.2-5.mga4
+ Revision: 562037
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 2.1.2-4.mga4
+ Revision: 561469
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 2.1.2-3.mga4
+ Revision: 535629
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 2.1.2-2.mga4
+ Revision: 482257
- Rebuild for Ruby 2

* Thu Sep 19 2013 pterjan <pterjan> 2.1.2-1.mga4
+ Revision: 481332
- 2.1.2
- Use gem_setup
- Fix file list
- Disable signing the gem with a key we don't have, the rpm will be signed anyway

* Fri Feb 08 2013 umeabot <umeabot> 2.0.5-4.mga3
+ Revision: 396216
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.0.5-3.mga3
+ Revision: 381134
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 2.0.5-2.mga3
+ Revision: 313420
- rebuild for new ruby

* Sat Feb 19 2011 shikamaru <shikamaru> 2.0.5-1.mga1
+ Revision: 54116
- imported package ruby-net-sftp

